List Approvals
GET
/approvalsAuthorization
cookieAuth __Host-hms_session<token>
In: cookie
Query Parameters
cursor?string
Opaque signed cursor. Return it unchanged; valid for 24 hours.
Length
1 <= length <= 8192limit?integer
Range
1 <= value <= 100Default
50status?string
Value in
- "pending"
- "approved"
- "executing"
- "executed"
- "denied"
- "expired"
- "stale"
- "failed"
Response Body
application/json
application/json
curl -X GET "https://example.com/approvals"{ "data": [ { "id": "string", "status": "pending", "plan_summary": "string", "amount": 0, "currency": "string", "expires_at": "2019-08-24T14:15:22Z" } ], "pagination": { "next_cursor": "string", "has_more": true, "as_of": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "source": "primary"}